RagTime5FormulaInternal::FunctionNameParser Struct Referencefinal

Internal: the helper to read function name. More...

Inheritance diagram for RagTime5FormulaInternal::FunctionNameParser:

## Public Member Functions

| FunctionNameParser (std::map< unsigned long, char const * > const &idFunctionMap, std::vector< std::string > &functionNames)
| constructor
| ~FunctionNameParser () final
| destructor
bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &, int n, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor
virtual | ~FieldParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field

## Protected Attributes

std::map< unsigned long, char const * > const & | m_idFunctionMap
| map id to function name
std::vector< std::string > & | m_functionNames
| the fonction names
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name

## Additional Inherited Members

Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not

## Detailed Description

Internal: the helper to read function name.

## Constructor & Destructor Documentation

## FunctionNameParser()

RagTime5FormulaInternal::FunctionNameParser::FunctionNameParser | ( | std::map< unsigned long, char const * > const & | idFunctionMap,
|  | std::vector< std::string > & | functionNames )

inline explicit

constructor

## ~FunctionNameParser()

RagTime5FormulaInternal::FunctionNameParser::~FunctionNameParser | ( |  | ) |

final

destructor

Referenced by ~FunctionNameParser().

## Member Function Documentation

## parseField()

bool RagTime5FormulaInternal::FunctionNameParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

Referenced by parseField().

## Member Data Documentation

## m_functionNames

std::vector<std::string>& RagTime5FormulaInternal::FunctionNameParser::m_functionNames

protected

the fonction names

Referenced by FunctionNameParser(), and parseField().

## m_idFunctionMap

std::map<unsigned long, char const *> const& RagTime5FormulaInternal::FunctionNameParser::m_idFunctionMap

protected

map id to function name

Referenced by FunctionNameParser().

The documentation for this struct was generated from the following file:

- RagTime5Formula.cxx